//---------------------------------------------------------------------------

#include <vcl.h>
#include <stdio.h>
#pragma hdrstop

#include "NASTAVENI.h"
#include "main.h"

//---------------------------------------------------------------------------
#pragma package(smart_init)
#pragma resource "*.dfm"
TNastavForm *NastavForm;
//---------------------------------------------------------------------------
__fastcall TNastavForm::TNastavForm(TComponent* Owner)
        : TForm(Owner)
{
     MainForm->cp = new TConfigPanel(Panel2,0,0,MainForm->Serial);              // vytvoření konfiguračního panelu
}
//---------------------------------------------------------------------------
__fastcall TNastavForm::~TNastavForm()
{
        delete(MainForm->cp);                                                   // destruktor
}
/*-----------------------------funkce tlačítka OK------------------------------*/
void __fastcall TNastavForm::OKClick(TObject *Sender)
{

char parita[5],stopbit[1];                                                      // pole znaků

  TIniFile *ini=new TIniFile(MainForm->Adresar);                                // načtení souboru INDIKATOR.INI

  MainForm->Label8->Caption = MainForm->Serial->BaudRate;                       // načtení přenosové rychlosti
  MainForm->Label14->Caption = MainForm->Serial->ByteSize;                      // načtení počtu bitů v byte
  
  switch(MainForm->Serial->Parity){                                             // podle nastavené parity
        case 0: sprintf(parita,"žádná");break;                                  // převod na znaky žádná
        case 1: sprintf(parita,"lichá"); break;                                 // převod na znaky lichá
        case 2: sprintf(parita,"sudá"); break;                                  // převod na znaky sudá
  }
  MainForm->Label10->Caption = parita;                                          // výpis parity

  ini->WriteInteger("NASTAVENI","Bitů za sekundu",(MainForm->Serial->BaudRate));// zápis nastavené přenosové rychlosti do souboru
  ini->WriteInteger("NASTAVENI","Datových bitů",(MainForm->Serial->ByteSize));  // zápis nastavené velikosti byte do souboru
  ini->WriteInteger("NASTAVENI","Parita",(MainForm->Serial->Parity));           // zápis nastavené parity do souboru
  NastavForm->Close();                                                          // zavření okna
}
//---------------------------------------------------------------------------

